<?php

if (empty($_POST['submit'])) {
    if (isset($_GET['plid']) and isset($_GET['elid'])) {
        $plid = '/' . $_GET['plid'] . '/' . $_GET['elid'];
    } elseif (isset($_GET['elid'])) {
        $plid = '/' . $_GET['elid'];
    } else {
        $plid = '/';
    }

    echo '<div class="post">Загрузка файла в: ' . htmlentities($plid, ENT_QUOTES, 'UTF-8') . "\n";
    echo '<form action="?func=file.upload';
    if (isset($_GET['elid'])) {
        echo '&amp;elid=' . urlencode($_GET['elid']);
    }
    if (isset($_GET['plid'])) {
        echo '&amp;plid=' . urlencode($_GET['plid']);
    }
    echo '" enctype="multipart/form-data" method="post">' . "\n";
    echo 'Файлы:<br />' . "\n";
    echo '<input name="file[]" type="file" /><br />' . "\n";
    echo '<input name="file[]" type="file" /><br />' . "\n";
    echo '<input name="file[]" type="file" /><br />' . "\n";
    echo '<input name="file[]" type="file" /><br />' . "\n";
    echo '<input name="file[]" type="file" /><br />' . "\n";
    echo '<input name="submit" type="submit" value="Загрузить" />' . "\n";
    echo '</form>' . "\n";
    echo '</div>' . "\n";
    echo '<img src="images/t-back.png" alt=".." /><a href="?func=file';
    if (isset($_GET['elid'])) {
        echo '&amp;elid=' . urlencode($_GET['elid']);
    }
    if (isset($_GET['plid'])) {
        echo '&amp;plid=' . urlencode($_GET['plid']);
    }
    echo '">Вернуться</a><br />' . "\n";
    echo '<div class="menu"><img src="images/sb-menu.png" alt="." /><a href="?func=menu">Вернуться в меню</a>' . "\n</div>";
} else {
    $count_files = sizeof(@$_FILES['file']['name']);

    if ($ftp = ftp_connect($server) and ftp_login($ftp, $_SESSION['username'], $_SESSION['password'])) {
        ftp_pasv($ftp, true);

        echo '<div class="post"><div style="text-align:center">' . "\n";

        for($i = 0;$i < $count_files;$i++) {
            if (is_uploaded_file($_FILES['file']['tmp_name'][$i])) {
                if (isset($_GET['plid']) and isset($_GET['elid'])) {
                    $plid = '/' . $_GET['plid'] . '/' . $_GET['elid'];
                } elseif (isset($_GET['elid'])) {
                    $plid = '/' . $_GET['elid'];
                } else {
                    $plid = '';
                }

                if (ftp_put($ftp, $plid . '/' . $_FILES['file']['name'][$i], $_FILES['file']['tmp_name'][$i], FTP_BINARY)) {
                    echo 'Файл ' . htmlentities($_FILES['file']['name'][$i], ENT_QUOTES, 'UTF-8') . ' размером ' . $_FILES['file']['size'][$i] . ' байт успешно загружен.<br />' . "\n";
                } else {
                    echo 'Ошибка при загрузке файла ' . htmlentities($_FILES['file']['name'][$i], ENT_QUOTES, 'UTF-8') . '.<br />' . "\n";
                }
            }
        }

        echo '<a href="?func=file';
        if (isset($_GET['plid'])) {
            echo '&amp;plid=' . urlencode($_GET['plid']);
        }
        if (isset($_GET['elid'])) {
            echo '&amp;elid=' . urlencode($_GET['elid']);
        }
        echo '">Продолжить&#187;</a>' . "\n";
        echo '</div></div>' . "\n";

        ftp_close($ftp);
    } else {
        echo '<div class="post"><div style="text-align:center">' . "\n";
        echo 'Ошибка при загрузке файла!<br />' . "\n";
        echo '<a href="?func=file';
        if (isset($_GET['plid'])) {
            echo '&amp;plid=' . urlencode($_GET['plid']);
        }
        if (isset($_GET['elid'])) {
            echo '&amp;elid=' . urlencode($_GET['elid']);
        }
        echo '">Продолжить&#187;</a>' . "\n";
        echo '</div></div>' . "\n";
    }
}

?>